package com.yidian.bcommon.utils

import com.yidian.bcommon.services.ZapServiceActionConstants
import com.yidian.bcommon.services.ZapServiceNameConstants
import com.yidian.yac.core.zap.ZapTicket
import org.json.JSONObject


/**
 * 通过调用C端的服务进行C端埋点的工具类
 */
object CPointUtils {

  /**
   * 进行日志上传
   */
  fun performCommitLog(jsonObject: JSONObject) {
    ZapTicket(ZapServiceNameConstants.cBuriedPointService).withAction(ZapServiceActionConstants.CommitCPointLog)
      .withServiceParams(jsonObject).ship()
  }

}
